An adapter is the glue logic between UI components and the score view. An adapter consists mostly of accessors (get/set) for the component data. The components have their initial values set from the adapter get, and changes to components result in sets to the adapter. The adapter can then update the score. For dialogs that use this pattern, the dialog automatically creates the components and binds their values with the adapter.

method

  commit - called when OK button of dialog is clicked

method

  cancel - called when cancel button of dialog is clicked

method

  remove - optional. Called when 'remove' button is clicked, for artifacts like dynamics that can be removed.

### Hierarchy

- SuiComponentAdapter
  - SuiSmoLoadAdapter
  - SuiXmlLoadAdapter
  - SuiMidiLoadAdapter

## Index

### Constructors

- constructor

## Constructors

### constructor

- new SuiComponentAdapter(view: SuiScoreViewOperations): SuiComponentAdapter

- - Defined in src/ui/dialogs/adapter.ts:30

  #### Parameters

  - ##### view: SuiScoreViewOperations

  #### Returns SuiComponentAdapter

Generated using TypeDoc